<html><head>
<meta http-equiv=content-language content=zh-cn>
<meta http-equiv=content-type content="text/html; charset=gb2312">
<LINK href="../CSS/Base.css" rel=stylesheet>
<LINK href="../CSS/Tab.css" rel=stylesheet>
<style>
  td { padding:2px 5px 2px 5px;}
</style>
<link href="../CSS/Common.css" rel="stylesheet" type="text/css"/>
<script>
function copycode(obj) {
	var rng = document.body.createTextRange();
    rng.moveToElementText(obj);
    rng.scrollIntoView();
    rng.select();
    rng.execCommand("Copy");
    rng.collapse(false);
	alert("复制分析结果到剪贴板成功");
}
function ajax_Submit(url,postStr) {
	var ajax=false; 
	try { ajax = new ActiveXObject("Msxml2.XMLHTTP"); }
	catch (e) { try { ajax = new ActiveXObject("Microsoft.XMLHTTP"); } catch (E) { ajax = false; } }
	if (!ajax && typeof XMLHttpRequest!='undefined') ajax = new XMLHttpRequest(); 

	ajax.open("POST", url, true); 
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded"); 
	ajax.send(postStr);
	ajax.onreadystatechange = function(){
		if (ajax.readyState == 4)
		{
			if(ajax.status == 200)
			{
				var theRtnText = ajax.responseText;
				document.getElementById("dataTable").style.display = '';
				document.getElementById("dataCopyAction").style.display = '';
				document.getElementById("dataReportInner").innerHTML = theRtnText ;
			}
			else
			{
				alert('网络传输问题');
			}
		}	
	} 
}
function DataSubmit()
{
	var ParamString = "Action=DataReportSubmit";
	ParamString += "&assessID={assessID}&surveyType={surveyType}";
	document.getElementById("dataTable").style.display = '';
	document.getElementById("dataReportInner").innerHTML = "<div id=\"preloading\" style=\"position:absolute;top:0;left:0;z-index:1;background-color:#f0f0f0;left:0;top:0;width:160px;overflow:hidden;white-space:nowrap;color:black;position:fixed;top:0;left:0;font-weight:bold;-moz-border-radius-bottomright:5px;-webkit-border-bottom-right-radius:5px;-khtml-border-bottom-right-radius:5px;border-bottom-right-radius:5px;\">&nbsp;<img src=\"..\/Images\/wait.gif\" width=\"16px\" height=\"16px\">&nbsp;正在加载数据分析&nbsp;<\/div>";
	ajax_Submit('MyScore.php?{thisURLString}',ParamString);
}
function $(_sId){
	return document.getElementById(_sId);
}
function ResetInit()
{
	document.getElementById("dataTable").style.display = 'none';
	document.getElementById("dataCopyAction").style.display = 'none';
	document.getElementById("dataReportInner").innerHTML = '' ;
}
</script>
<META content="MSHTML 6.00.3790.0" name=GENERATOR></HEAD>
<body oncontextmenu="return false" style="margin-top:0px" onload="javascript:DataSubmit();">

<div id="tabs1"> 
    <ul> 
        <li><a href="{myURL}"><span>我的报告</span></a></li> 
        <li><a href="{countURL}"><span>频数频率分析</span></a></li> 
        <li><a href="{commitURL}"><span>参评率报告</span></a></li>
        <li><a href="{listURL}"><span>意见反馈详细</span></a></li>
        <li id="current"><a href="{indexsURL}"><span>指标分值分析</span></a></li> 
        <li><a href="{rankURL}"><span>教师评教排名</span></a></li>
    </ul> 
</div> 

<div style="line-height:10px">&nbsp;</div>
<div class="wrap q_clear" id=wrap>
<div>
<div>
<div class=q_clear id=myheadertext><h1><span class=red>[{assessTitle}]</span>评教问卷指标分值分析</h1>&nbsp;<br/></div>
<div id=myname></div>

<table id="dataCopyAction" width=100% style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;border-top: #b5cfd9 1px solid;margin-bottom:1px;" cellSpacing=0 cellPadding=0 borderColor=#b5cfd9 border=0>
  <tr><td align=right><a href="javascript:void(0)" onclick="copycode($('dataReportInner'));"><b>复制分析结果到剪贴板</b></a><img src="../Images/list_menu_arrow.gif" border=0>&nbsp;&nbsp;</td></tr></table>

  <table id="dataTable" style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;" cellSpacing=0 cellPadding=0 width="100%" borderColor=#b5cfd9 border=0>
   <tr><td id="dataInner" align=center style="padding-top:5px;padding-bottom:5px"><div id="dataReportInner"></div></td></tr>
 </table>

</div></div></div>
</body></html>
